@tailwind base;
@tailwind components;
@tailwind utilities;

html,
body, 
#__next {
  height: calc(100vh - 5rem);
}

@layer components {
  h1 {
    @apply text-3xl;
  }
  
  h2 {
    @apply text-2xl;
  }
  
  h3 {
    @apply text-xl;
  }
  
  h4 {
    @apply text-lg;
  }
  
  h5 {
    @apply text-base;
  }

  .link {
    @apply font-medium text-slate-100;
  }

  .btn {
    @apply font-semibold text-slate-100 bg-green-500 rounded-xl px-3 py-2;
    transition: color .4s ease-in-out, box-shadow .4s ease-in-out;
    &:hover{
      box-shadow: inset 650px 0 0 0 rgba(255, 255, 255, 0.3);
    }
  }

  .active {
    @apply text-white font-semibold underline;
  }

  .center-el {
    @apply flex flex-row items-center;
  }

  .error {
    @apply max-w-xl m-auto p-12 rounded-md bg-red-600/50 font-semibold;
  }

  h1, h2, h3, h4, h5, h6 {
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    @apply font-semibold;
  }
}